%define majver %(echo %version | cut -d. -f1)
Name:          gnome-control-center
Version:       46.0
Release:       1mamba
Summary:       Gnome control center
Group:         Graphical Desktop/Applications/Configuration
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.gnome.org
Source:        https://download.gnome.org/sources/gnome-control-center/%{majver}/gnome-control-center-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: colord-gtk-devel
BuildRequires: glibc-devel
BuildRequires: gnome-desktop-devel
BuildRequires: gnome-online-accounts-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libaccountsservice-devel
BuildRequires: libadwaita-devel
BuildRequires: libcairo-devel
BuildRequires: libcolord-devel
BuildRequires: libcups-devel
BuildRequires: libepoxy-devel
BuildRequires: libfontconfig-devel
BuildRequires: libgcr-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgnome-bluetooth-devel
BuildRequires: libgnutls-devel
BuildRequires: libgraphene-devel
BuildRequires: libgsound-devel
BuildRequires: libgtk-devel
BuildRequires: libgtop-devel
BuildRequires: libgudev-devel
BuildRequires: libibus-devel
BuildRequires: libjson-glib-devel
BuildRequires: libkrb5-devel
BuildRequires: libmm-devel
BuildRequires: libnm-devel
BuildRequires: libnma-devel
BuildRequires: libpango-devel
BuildRequires: libpolkit-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libpulseaudio-glib-devel
BuildRequires: libpwquality-devel
BuildRequires: libsecret-devel
BuildRequires: libsmbclient-devel
BuildRequires: libsoup-devel
BuildRequires: libupower-devel
BuildRequires: libwacom-devel
BuildRequires: libxml2-devel
BuildRequires: udisks-devel
## AUTOBUILDREQ-END
BuildRequires: gnome-settings-daemon-devel >= %{majver}
BuildRequires: gsettings-desktop-schemas-devel >= %{majver}
BuildRequires: libclutter-devel
BuildRequires: libcolord-devel >= 1.2.12-1mamba
BuildRequires: libcogl-devel >= 1.18
BuildRequires: libgrilo >= 0.3.1
BuildRequires: libhandy-devel >= 1.0.1
BuildRequires: libpulseaudio-devel >= 12.0-1mamba
BuildRequires: python-dbusmock-py3
BuildRequires: tecla
BuildRequires: upower-devel >= 0.99
Obsoletes:     libgnome-control-center < 40.0
Obsoletes:     libgnome-control-center-devel < 40.0
Requires:      gnome-settings-daemon
Requires:      tecla
Requires(post):shared-mime-info

%description
Gnome control center.

%package -n lib%{name}
Summary:       Shared libraries provided by %{name}
Group:         System/Libraries

%description -n lib%{name}
Gnome control center.
This package contains static libraries and header files needed for development.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      gnome-control-center-devel
Obsoletes:     gnome-control-center-devel < 40.0

%description -n lib%{name}-devel
Gnome control center.
This package contains static libraries and header files neeed for development.

%debug_package

%prep
%setup -q
#-D -T

%build
#:<< _EOF
export LC_ALL=en_US.UTF-8

%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}-2.0 --all-name

rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%{_bindir}/update-mime-database -n %{_datadir}/mime 2>&1 > /dev/null
if [ $1 -ge 1 ]; then
# new install or upgrade
   GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
   gconftool-2 --makefile-install-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas \
      %{_sysconfdir}/gconf/schemas/control-center.schemas \
      %{_sysconfdir}/gconf/schemas/fontilus.schemas &> /dev/null
   #[ -x %{_bindir}/scrollkeeper-update ] &&
   #   %{_bindir}/scrollkeeper-update -q 2>/dev/null || :
fi
exit 0

%postun
if [ $1 -eq 0 ]; then
   GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` \
   gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas \
      %{_sysconfdir}/gconf/schemas/control-center.schemas \
      %{_sysconfdir}/gconf/schemas/fontilus.schemas &> /dev/null
   %{_bindir}/update-mime-database -n %{_datadir}/mime 2>&1 > /dev/null
fi
exit 0

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(-,root,root)
%{_bindir}/gnome-*
%{_libexecdir}/gnome-control-center-*
%{_datadir}/applications/*.desktop
%{_datadir}/metainfo/org.gnome.Settings.appdata.xml
%{_datadir}/bash-completion/completions/gnome-control-center
%{_datadir}/dbus-1/services/org.gnome.Settings.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Settings.service
%{_datadir}/glib-2.0/schemas/org.gnome.Settings.gschema.xml
%{_datadir}/gettext/its/gnome-keybindings.*
%{_datadir}/gettext/its/sounds.*
%{_datadir}/icons/hicolor/*
%{_datadir}/icons/gnome-logo-text*.svg
%{_datadir}/pixmaps/faces/*
%{_datadir}/sounds/gnome/default/alerts/*.ogg
%dir %{_datadir}/gnome-control-center
%{_datadir}/gnome-control-center/*
%{_datadir}/gnome-shell/search-providers/org.gnome.Settings.search-provider.ini
%{_datadir}/polkit-1/actions/org.gnome.controlcenter.*.policy
%{_datadir}/polkit-1/rules.d/gnome-control-center.rules
%{_datadir}/pkgconfig/gnome-keybindings.pc

%changelog
* Sun Mar 24 2024 Automatic Build System <autodist@openmamba.org> 46.0-1mamba
- automatic version update by autodist

* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 45.3-1mamba
- automatic version update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 45.2-1mamba
- automatic version update by autodist

* Fri Sep 15 2023 Automatic Build System <autodist@mambasoft.it> 44.4-1mamba
- automatic version update by autodist

* Fri Jun 30 2023 Automatic Build System <autodist@mambasoft.it> 44.3-1mamba
- automatic version update by autodist

* Fri May 26 2023 Automatic Build System <autodist@mambasoft.it> 44.2-1mamba
- automatic version update by autodist

* Sat Apr 22 2023 Automatic Build System <autodist@mambasoft.it> 44.1-1mamba
- automatic version update by autodist

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 44.0-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 43.5-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 43.4.1-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 43.2-1mamba
- automatic version update by autodist

* Wed Nov 02 2022 Automatic Build System <autodist@mambasoft.it> 43.1-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Automatic Build System <autodist@mambasoft.it> 41.4-1mamba
- automatic version update by autodist

* Fri Dec 03 2021 Automatic Build System <autodist@mambasoft.it> 41.2-1mamba
- automatic version update by autodist

* Thu Nov 04 2021 Automatic Build System <autodist@mambasoft.it> 41.1-1mamba
- automatic version update by autodist

* Fri Sep 24 2021 Automatic Build System <autodist@mambasoft.it> 41.0-1mamba
- automatic version update by autodist

* Sat Sep 18 2021 Automatic Build System <autodist@mambasoft.it> 40.1-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 3.38.5-1mamba
- automatic version update by autodist

* Mon Feb 15 2021 Automatic Build System <autodist@mambasoft.it> 3.38.4-1mamba
- automatic version update by autodist

* Mon Jan 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.3-1mamba
- update to 3.38.3

* Thu Nov 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.1-4mamba
- bump release due to wrong submission

* Wed Nov 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.1-3mamba
- remove requirement for libgnome-control-center

* Tue Nov 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.38.1-2mamba
- rebuilt with libhandy 1.0.1

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Wed Jul 08 2020 Automatic Build System <autodist@mambasoft.it> 3.36.4-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3-1mamba
- automatic version update by autodist

* Fri May 01 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Mon Mar 30 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Fri Mar 13 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 3.34.4-1mamba
- automatic version update by autodist

* Mon Nov 25 2019 Automatic Build System <autodist@mambasoft.it> 3.34.2-1mamba
- automatic version update by autodist

* Wed Nov 06 2019 Automatic Build System <autodist@mambasoft.it> 3.34.1-1mamba
- automatic version update by autodist

* Tue Aug 14 2018 Automatic Build System <autodist@mambasoft.it> 3.28.2-1mamba
- automatic version update by autodist

* Fri Aug 18 2017 Automatic Build System <autodist@mambasoft.it> 3.24.3-1mamba
- automatic version update by autodist

* Thu Jun 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.20.1-1mamba
- update to 3.20.1

* Sat Apr 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.2-3mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=8.0-1mamba

* Fri Mar 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.18.2-2mamba
- rebuilt by autoport with build requirements: libcolord-devel>=1.2.12-1mamba

* Sun Dec 27 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Wed Jul 22 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu Apr 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic update by autodist

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.2-2mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=6.0-1mamba

* Thu Nov 13 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Thu Oct 30 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Wed Jun 18 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.12.1-1mamba
- update to 3.12.1

* Mon Mar 03 2014 Automatic Build System <autodist@mambasoft.it> 3.10.3-1mamba
- automatic version update by autodist

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.1-2mamba
- rebuilt with libcogl 1.16

* Sat Nov 02 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.5-1mamba
- automatic version update by autodist

* Thu Jul 25 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4.1-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Tue May 14 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Mon May 06 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1.5-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Sun Apr 14 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Wed Nov 14 2012 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-2mamba
- added build requirement for network-manager-applet-devel (to enable network support)

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- update to 3.2.0

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Sun May 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1-3mamba
- install schemas in post scripts using gconftool-2

* Tue May 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1-2mamba
- added post requirement for shared-mime-info

* Thu Nov 18 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Tue Oct 12 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Fri May 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30.1-2mamba
- rebuilt against libxklavier 5.0

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Mon May 10 2010 Automatic Build System <autodist@mambasoft.it> 2.28.1-2mamba
- automatic rebuild by autodist

* Sat Oct 24 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- update to 2.28.0

* Sun Jul 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- package created by autospec
